Debian Bug report logs - #664910
xbubble: FTBFS: loadpng.c:58:8: error: ignoring return value of 'fread', declared with attribute warn_unused_result [-Werror=unused-result]

version graph

Package: src:xbubble; Maintainer for src:xbubble is Uwe Hermann <uwe@debian.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Wed, 21 Mar 2012 20:39:17 UTC

Severity: serious

Tags: sid, wheezy

Found in version xbubble/0.5.11.2-3.1

Fixed in version xbubble/0.5.11.2-3.2

Done: Thomas Goirand <zigo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Information forwarded to debian-bugs-dist@lists.debian.org, Uwe Hermann <uwe@debian.org>:
Bug#664910; Package src:xbubble. (Wed, 21 Mar 2012 20:39:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to Uwe Hermann <uwe@debian.org>. (Wed, 21 Mar 2012 20:39:20 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: xbubble: FTBFS: loadpng.c:58:8: error: ignoring return value of 'fread', declared with attribute warn_unused_result [-Werror=unused-result]
Date: Wed, 21 Mar 2012 21:36:49 +0100
Source: xbubble
Version: 0.5.11.2-3.1
Severity: serious
Tags: wheezy sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20120321 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> gcc -DHAVE_CONFIG_H -I. -I. -I.   -D_FORTIFY_SOURCE=2 -g -DDATADIR=\"/usr/share/xbubble\"  -O3 -finline-functions -ffast-math -funroll-loops -fno-strict-aliasing -Wall -Wunused -Wmissing-prototypes -Wmissing-declarations -Wshadow -Wpointer-arith -Wchar-subscripts -Wcomment -Wformat -Wwrite-strings -Wno-unused-variable -Wno-unused-function -Wno-unused-label -Werror -g -c loadpng.c
> loadpng.c: In function 'load_png_file':
> loadpng.c:58:8: error: ignoring return value of 'fread', declared with attribute warn_unused_result [-Werror=unused-result]
> cc1: all warnings being treated as errors
> make[3]: *** [loadpng.o] Error 1

The full build log is available from:
   http://people.debian.org/~lucas/logs/2012/03/21/xbubble_0.5.11.2-3.1.log

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.




Reply sent to Thomas Goirand <zigo@debian.org>:
You have taken responsibility. (Mon, 30 Apr 2012 08:58:18 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Mon, 30 Apr 2012 08:58:21 GMT) Full text and rfc822 format available.

Message #10 received at 664910-close@bugs.debian.org (full text, mbox):

From: Thomas Goirand <zigo@debian.org>
To: 664910-close@bugs.debian.org
Subject: Bug#664910: fixed in xbubble 0.5.11.2-3.2
Date: Mon, 30 Apr 2012 08:53:02 +0000
Source: xbubble
Source-Version: 0.5.11.2-3.2

We believe that the bug you reported is fixed in the latest version of
xbubble, which is due to be installed in the Debian FTP archive:

xbubble-data_0.5.11.2-3.2_all.deb
  to main/x/xbubble/xbubble-data_0.5.11.2-3.2_all.deb
xbubble_0.5.11.2-3.2.debian.tar.gz
  to main/x/xbubble/xbubble_0.5.11.2-3.2.debian.tar.gz
xbubble_0.5.11.2-3.2.dsc
  to main/x/xbubble/xbubble_0.5.11.2-3.2.dsc
xbubble_0.5.11.2-3.2_amd64.deb
  to main/x/xbubble/xbubble_0.5.11.2-3.2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 664910@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thomas Goirand <zigo@debian.org> (supplier of updated xbubble package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.8
Date: Mon, 30 Apr 2012 08:23:12 +0000
Source: xbubble
Binary: xbubble xbubble-data
Architecture: source all amd64
Version: 0.5.11.2-3.2
Distribution: unstable
Urgency: low
Maintainer: Uwe Hermann <uwe@debian.org>
Changed-By: Thomas Goirand <zigo@debian.org>
Description: 
 xbubble    - A nice Puzzle Bubble clone
 xbubble-data - Data files for XBubble, a nice Puzzle Bubble clone
Closes: 664910
Changes: 
 xbubble (0.5.11.2-3.2) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fixes FTBFS: loadpng.c ignoring return value of fread (Closes: #664910).
Checksums-Sha1: 
 c70201e2c27692ee6becd50eb847cfc17e126486 1203 xbubble_0.5.11.2-3.2.dsc
 4cb6567efe57d903cd5e00b941c699e64a9eb7cf 5507 xbubble_0.5.11.2-3.2.debian.tar.gz
 566266fb72faafe4fdd9c413e6f6985c3836a18b 5408466 xbubble-data_0.5.11.2-3.2_all.deb
 e46e190ae46983ffca33cf70fd271f069971d3f5 159010 xbubble_0.5.11.2-3.2_amd64.deb
Checksums-Sha256: 
 4abb9c8f61958806a21978c3034892ffbf7db62d8ed91c80d6ef153cd99a6b44 1203 xbubble_0.5.11.2-3.2.dsc
 d53eda905f3202c1eccbd78e234ed7844bebabb07a8269dc7d253d540e989a92 5507 xbubble_0.5.11.2-3.2.debian.tar.gz
 75ba4bc33ce27f63de1184fad67d7007ca672f6b68065b4c282fe0909384d2d6 5408466 xbubble-data_0.5.11.2-3.2_all.deb
 3dbf34222328fb744796c17c0c53ef2cace76d9604b9dc8bbf160fe25090e920 159010 xbubble_0.5.11.2-3.2_amd64.deb
Files: 
 a20c3bed4c560ff5bc33f3cc0d38069d 1203 games optional xbubble_0.5.11.2-3.2.dsc
 9d73a8f01105c43430d97444909eef79 5507 games optional xbubble_0.5.11.2-3.2.debian.tar.gz
 947b9a584141ee969640fc96405c329d 5408466 games optional xbubble-data_0.5.11.2-3.2_all.deb
 f47ce9424e04bf6534b73a7423b9bb1b 159010 games optional xbubble_0.5.11.2-3.2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEAREDAAYFAk+eTx0ACgkQl4M9yZjvmkkPRQCaAyQvSiDEtxJ3n1txQ8tcAM+t
y1gAn02l+vcefB4fZNRpxjNnRfeHuRZw
=UtXB
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 08 Jun 2012 07:34:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 12:34:11 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.